Manually Update CubeCart Default RSS url after V4 to V5 Upgrade

Update CubeCart Default RSS url after V4 to V5 Upgrade

If you are running a CubeCart V5 store that has recently been upgraded from a V4 store then you may notice a large number of PHP warning messages in your error_log file similar to these two shown below :


[28-Jan-2014 16:09:35 UTC] PHP Warning: SimpleXMLElement::__construct() [simplexmlelement.--construct.php]: ^ in /home/xxxxxxxx/public_html/V5/admin/sources/dashboard.index.inc.php on line 227
[28-Jan-2014 16:09:35 UTC] PHP Warning: String could not be parsed as XML in /home/xxxxxxxx/public_html/V5/admin/sources/dashboard.index.inc.php on line 243

These are caused by the default RSS url that was used in V4 stores, no longer being valid. The value of http://www.cubecart.com/site/forums/index.php?act=rssout&id=1 which is set in the Admin General Settings screen as below in V4 sites

CubeCart V4 Admin Control Panel 2014-02-10 16-01-54(Click image to enlarge)

needs to be changed to http://forums.cubecart.com/rss/forums/1-cubecart-news-announcements/ on the Layout tab in the Store Settings in V5 stores, as shown below, if you wish to still see the default CubeCart news announcements. Of course it is possible to enter any other valid RSS url if you wish.

CubeCart V5 Admin Control Panel 2014-02-10 16-03-08(Click image to enlarge)

The following two tabs change content below.
This is the main Havenswift Hosting company account that is used by different members of staff when making blog postings on behalf of the company rather than as individuals

Latest posts by Havenswift Hosting (see all)


There Is 1 Comment

Peter Andrews on 08 Apr, 2014

Thanks for this ! Just upgraded my old CubeCart V4 store and this warning / error was filling up my error_log. Applied your fix and it solved it immediately

Post Your Comment

Your email address will not be published. Required fields are marked *

Copyright Havenswift Hosting 2007-2018. All rights reserved.